diff options
| author | Alan Conway <aconway@apache.org> | 2007-11-01 00:38:58 +0000 |
|---|---|---|
| committer | Alan Conway <aconway@apache.org> | 2007-11-01 00:38:58 +0000 |
| commit | 6ff9cc1db2af388c9fe00c140f555f7c30c5df6d (patch) | |
| tree | 0b8e872f26627b5ebdcc882238e9ad256785cd22 /qpid/cpp/src/tests/test_env | |
| parent | 04cc6a2f5225e8894b4a8173b5a6ffd59a00184d (diff) | |
| download | qpid-python-6ff9cc1db2af388c9fe00c140f555f7c30c5df6d.tar.gz | |
Preparation for session thread safety overhaul:
- simplified SessionState, responsibility for protocol states now in Handlers
- qpid::RefCounted, qpid::intrusive_ptr reference counting support.
- build boost unit tests as single exe, speeds up testing.
- fixed leak in AsynchIOAcceptor.cpp
git-svn-id: https://svn.apache.org/repos/asf/incubator/qpid/trunk@590869 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'qpid/cpp/src/tests/test_env')
| -rwxr-xr-x | qpid/cpp/src/tests/test_env | 41 |
1 files changed, 0 insertions, 41 deletions
diff --git a/qpid/cpp/src/tests/test_env b/qpid/cpp/src/tests/test_env deleted file mode 100755 index 3fdfaa8a88..0000000000 --- a/qpid/cpp/src/tests/test_env +++ /dev/null @@ -1,41 +0,0 @@ -#!/bin/sh -# -# Run a test under valgrind. -# - -# Use VALGRIND if set, else look on path. -test -z "$VALGRIND" && VALGRIND=`which valgrind 2>/dev/null` -# No valgrind, just run the command -test -z "$VALGRIND" && { exec libtool --mode=execute "$@"; exit $?; } - -test "$VERBOSE" = yes && set -x -test -z "$vg_log" && vg_log=valgrind.out -rm -f $vg_log - -# Dump log file, print a message and exit non-0. -vg_failed() { - cat $vg_log 1>&2 - echo $1 1>&2 - exit 1 -} - -# Check for errors in valgrind output. -vg_check() -{ - # Ensure there is an ERROR SUMMARY line. - grep -E '^==[0-9]+== ERROR SUMMARY:' $vg_log > /dev/null || \ - vg_failed "No valgrind ERROR SUMMARY line in $$vg_failed." - # Ensure that the number of errors is 0. - grep -E '^==[0-9]+== ERROR SUMMARY: [^0] ' $vg_log > /dev/null && \ - vg_failed "Valgrind reported errors in $vg_out; see above." - # Check for leaks. - grep -E '^==[0-9]+== +.* lost: [^0]' $vg_log && \ - vg_failed "Found memory leaks (see log file, $vg_log); see above." - true -} - -# Output to file, only display if there is an error. -opts=--log-file-exactly=$vg_log - -libtool --mode=execute $VALGRIND $opts -- "$@" || fail=1 -vg_check && test -z "$fail" |
